# Investigate the CD₅ index of Dan Tawfik's works

This example, prompted by an
[opinion article](https://doi.org/10.15252/embr.202356876)
expressing doubts about the perceived decline of disruptive science and
technology, investigates the CD₅ index of the works by
the biochemist [Dan Tawfik](https://en.wikipedia.org/wiki/Dan_Tawfik),
who is given as an example in the article.

The workflow used, first creates a rough list of works that Dan Tawfik
may have written by directly querying the Crossref database.
This is then cleaned up and used as an attached database to guide
the population of a new database with works published in the same
journals and years as D. Tawfik's works.
The populated database is used as a baseline for comparing the CD₅
index of D. Tawfik's works.
The queries require the prior calculation of the CD₅ index of all works.
They can also be adjusted to use the corresponding
[openly available dataset](https://doi.org/10.5281/zenodo.7584373).
